@charset "utf-8";

/*
 * ***************************************
 * ページ全体に関わるCSSの設定↓
 * ***************************************
 */

/*↓すべての要素のボックスモデルをボーダーボックスにする*/
html *,
::before,
::after {
  box-sizing: border-box;
}

/*↓フォントカラー・ファミリーの設定*/
body {
  font-family: 'Zen Kaku Gothic New', sans-serif;
  font-weight: 500;
  color: #262727;
}


/*↓レスポンシブイメージと画像下スペース防止*/
img {
  max-width: 100%;
  height: auto;
  vertical-align: bottom;
}

/*
 * ***************************************
 * ここまでページ全体に関わるCSSの設定↑
 * ***************************************
 */
html {
  scroll-behavior: smooth;
  scroll-padding-top: 100px;
}

body {
  background-color: #fff;
}

a:hover {
  opacity: 0.5;
  transition: 0.4s;
}

/*ヘッダー*/
.header {
  height: 100px;
  background-color: #fff;
  position: sticky;
  top: 0;
  z-index: 20;
}

@media(max-width:599px) {
  .header {
    height: 72px;
  }
}

.header-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 100%;
  width: min(92%, 1828px);
  margin: auto;
}

@media(max-width:599px) {
  .logo {
    width: 121px;
  }
}

/*ナビゲーション*/
.header-nav {
  display: flex;
  align-items: center;
  gap: 40px;
}

.header-nav li {
  font-size: 18px;
}

/*お問い合わせボタン*/
.formbtn {
  display: block;
  width: 148px;
  padding: 9px 26px 9px 26px;
  border-radius: 21px;
  background-color: #E24C30;
  color: #fff;
  text-align: center;
  font-size: 16px;
}

/*ナビゲーションボタン*/
.navbtn {
  display: none;
}

@media(max-width:1100px) {
  .header-nav {
    display: none;
  }

  .navbtn {
    display: block;
  }

  /*========= ナビゲーションのためのCSS ===============*/

  #g-nav {
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
    position: fixed;
    z-index: 999;
    /*ナビのスタート位置と形状*/
    top: 0;
    right: -120%;
    width: 100%;
    height: 100vh;
    /*ナビの高さ*/
    background-color: rgba(255, 255, 255, 0.7);
    backdrop-filter: blur(10px);
    /*動き*/
    transition: all 0.6s;
  }

  /*アクティブクラスがついたら位置を0に*/
  #g-nav.panelactive {
    right: 0%;
  }

  /*ナビゲーションの縦スクロール*/
  #g-nav.panelactive #g-nav-list {
    /*ナビの数が増えた場合縦スクロール*/
    position: fixed;
    z-index: 999;
    width: 100%;
    height: 100vh;
    /*表示する高さ*/
    overflow: auto;
    -webkit-overflow-scrolling: touch;
  }

  /*ナビゲーション*/
  #g-nav ul {
    /*ナビゲーション天地中央揃え*/
    position: absolute;
    z-index: 999;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  /*リストのレイアウト設定*/

  #g-nav li {
    list-style: none;
    text-align: center;
  }

  #g-nav li a {
    color: #333;
    text-decoration: none;
    padding: 10px;
    display: block;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    font-weight: bold;
  }

  /*========= ボタンのためのCSS ===============*/
  .openbtn {
    position: fixed;
    z-index: 9999;
    /*ボタンを最前面に*/
    top: 26px;
    right: 10px;
    cursor: pointer;
    width: 50px;
    height: 50px;
  }

  /*×に変化*/
  .openbtn span {
    display: inline-block;
    transition: all .4s;
    position: absolute;
    left: 14px;
    height: 3px;
    border-radius: 2px;
    background-color: #666;
    width: 45%;
  }

  .openbtn span:nth-of-type(1) {
    top: 15px;
  }

  .openbtn span:nth-of-type(2) {
    top: 23px;
  }

  .openbtn span:nth-of-type(3) {
    top: 31px;
  }

  .openbtn.active span:nth-of-type(1) {
    top: 18px;
    left: 18px;
    transform: translateY(6px) rotate(-45deg);
    width: 30%;
  }

  .openbtn.active span:nth-of-type(2) {
    opacity: 0;
  }

  .openbtn.active span:nth-of-type(3) {
    top: 30px;
    left: 18px;
    transform: translateY(-6px) rotate(45deg);
    width: 30%;
  }
}
@media(max-width:599px) {
  .openbtn {
    top: 10px;
  }
}
/*↑ここまでスマホナビボタン*/



/*ヒーロー*/
#hero {
  background-color: #fff;
  padding-top: 16px;
  padding-bottom: 79px;
}

@media(max-width:1100px) {
  #hero {
    padding-bottom: 51px;
  }
}

.hero-container {
  display: flex;
  align-items: center;
  gap: 5%;
  height: 100%;
  width: min(92%, 1600px);
  margin: auto;
}

@media(max-width:1100px) {

  /*スライドショーとキャッチコピーを縦並びにする*/
  .hero-container {
    display: block;
  }
}

/*スライドショー*/
#slider {
  width: 920px;
  height: 700px;
  border-radius: 16px;
}

@media screen and (min-width:600px) and (max-width:1100px) {
  #slider {
    width: 100%;
    height: 550px !important;
    border-radius: 16px;
  }
}

@media(max-width:599px) {
  #slider {
    width: 100%;
    height: 332px !important;
    border-radius: 16px;
  }
}

/*キャッチコピー*/
.copy {
  min-width: 38%;
}

.hero-container h1 {
  font-weight: 900;
  color: #29292B;
  font-size: clamp(26px, 2.5vw, 48px);
  min-height: 0vw;
  line-height: 72px;
}

@media(max-width:1100px) {
  .copy {
    width: 100%;
  }

  .hero-container h1 {
    padding-top: 27px;
    padding-left: 15px;
    line-height: 39px;
    letter-spacing: 1.25px;
  }
}

/*教室について*/
#about {
  background-color: #fff;
}

.about-container {
  max-width: 1600px;
  margin: auto;
  background-color: #F7F7F7;
  border-radius: 16px;
  padding: 70px 5% 96px 5%;
  padding-bottom: 96px;
  text-align: center;
}

@media(max-width:599px) {
  .about-container {
    padding-top: 56px;
  }
}

/*セクションタイトル*/
.title-decoration {
  font-weight: 900;
  font-size: 42px;
  letter-spacing: 1.76px;
}

@media(max-width:599px) {
  .title-decoration {
    font-size: 32px;
    letter-spacing: 1.34px;
  }
}

.title-decoration::before {
  content: attr(data-en);
  display: block;
  margin-bottom: 4px;
  color: #E24C30;
  font-size: 14px;
  letter-spacing: 0.59px;
  font-family: 'Montserrat', sans-serif;
  font-weight: 700;
}

/*↑ここまでセクションタイトル*/

.about-container h3 {
  padding: 48px 0px;
  font-weight: 900;
  font-size: 32px;
  letter-spacing: 1.34px;
  line-height: 42px;
}

@media(max-width:599px) {
  .about-container h3 {
    padding: 24px 0px;
    font-size: 24px;
    letter-spacing: 1.01px;
  }
}

.about-container>p {
  font-size: 18px;
  letter-spacing: 0.76px;
  line-height: 32px;
}

@media(max-width:599px) {
  .about-container>p {
    font-size: 16px;
    letter-spacing: 0.67px;
    text-align: left;
  }
}

/*↓教室についての画像付きコンテンツ*/
.about-detail {
  display: flex;
  max-width: 1000px;
  margin: auto;
  margin-top: 40px;
  gap: 40px;
  text-align: left;
}

@media(max-width:599px) {
  .about-detail {
    flex-direction: column;
  }
}

.about-detail-img img {
  width: 480px;
  height: 320px;
  object-fit: cover;
  border-radius: 8px;
}

.guidance,
.goal {
  flex: 1;
}

/*h4の赤丸*/
.about-detail-title::before {
  content: "";
  display: inline-block;
  width: 12px;
  height: 12px;
  background-color: #E24C30;
  border-radius: 50%;
  margin-right: 12px;
}

/*↑h4の赤丸*/
.about-detail-title {
  display: flex;
  align-items: center;
  font-weight: 900;
  font-size: 24px;
  letter-spacing: 1.01px;
  margin: 25px 0px;
}

.about-detail p {
  font-size: 16px;
  letter-spacing: 0.67px;
  line-height: 32px;
}
@media(max-width:599px) {
  .about-detail p {
  font-size: 14px;
  letter-spacing: 0.67px;
  line-height: 28px;
}
}

/*↑ここまで教室についての画像付きコンテンツ*/

/*流れるスライドショー*/
.wrapper {
  overflow-x: hidden;
}

.row {
  display: -ms-grid;
  -ms-grid-columns: min-content;
  padding-top: 40px;
  padding-bottom: 53px;
  background-color: #fff;
  position: relative;
}

/*グラデーション設定*/
.gradation-left {
  position: absolute;
  top: 0px;
  left: 0px;
  width: 120px;
  height: 380px;
  background: linear-gradient(-90deg, rgba(255, 255, 255, 0), rgb(255, 255, 255));
  z-index: 10;
}

.gradation-right {
  position: absolute;
  top: 0px;
  right: 0px;
  width: 120px;
  height: 380px;
  background: linear-gradient(90deg, rgba(255, 255, 255, 0), rgb(255, 255, 255));
  z-index: 10;
}
@media(max-width:599px) {
  .gradation-left {
    width: 60px;
  }
  .gradation-right {
    width: 60px;
  }
}

/*↑ここまでグラデーション設定*/

.autoplay-slider {
  display: flex;
  min-width: 100%;
  width: min-content;
  animation: 40s linear infinite sliderAnimation;
  overflow-x: hidden;
}

.slide-1 {
  height: 285px;
  width: 360px;
  background-image: url(../img/gallery1.jpg);
  background-size: cover;
  border-radius: 8px;
  margin: 24px;
  position: relative;
}

.slide-2 {
  height: 285px;
  width: 360px;
  background-image: url(../img/gallery2.jpg);
  background-size: cover;
  border-radius: 8px;
  margin: 24px;
  position: relative;
}

.slide-3 {
  height: 285px;
  width: 360px;
  background-image: url(../img/gallery3.jpg);
  background-size: cover;
  border-radius: 8px;
  margin: 24px;
  position: relative;
}

.slide-4 {
  height: 285px;
  width: 360px;
  background-image: url(../img/gallery4.jpg);
  background-size: cover;
  border-radius: 8px;
  margin: 24px;
  position: relative;
}

.slide-5 {
  height: 285px;
  width: 360px;
  background-image: url(../img/gallery5.jpg);
  background-size: cover;
  border-radius: 8px;
  margin: 24px;
  position: relative;
}

.slide-6 {
  height: 285px;
  width: 360px;
  background-image: url(../img/gallery6.jpg);
  background-size: cover;
  border-radius: 8px;
  margin: 24px;
  position: relative;
}

@keyframes sliderAnimation {
  100% {
    transform: translateX(-50%);
  }
}

/*指導員について*/
#instructors {
  background-color: #fff;
}

.inst-container {
  margin: auto;
  width: min(90%, 1000px);
}

/*山田壮*/
.yamada {
  display: flex;
  margin-top: 40px;
  margin-bottom: 43px;
  gap: 45px;
}

@media(max-width:599px) {
  .yamada {
    flex-direction: column;
  }
}

.yamada-img img {
  width: 216px;
  border-radius: 8px;
}

.yamada-text {
  max-width: 600px;
  flex: 1;
}

.yamada-text h4 {
  font-size: 24px;
  font-weight: 900;
  letter-spacing: 1.01px;
}

.yamada-text h4::after {
  content: attr(data-en);
  margin-left: 19px;
  color: #E24C30;
  font-size: 24px;
  letter-spacing: 1.01px;
}

.yamada-text p {
  margin-top: 24px;
  font-size: 18px;
  letter-spacing: 0.76px;
  line-height: 32px;
}
@media(max-width:599px) {
  .yamada-text p {
  font-size: 16px;
  letter-spacing: 0.76px;
  line-height: 32px;
}
}
/*ご挨拶*/
.greeting {
  background-color: #F7F7F7;
  border-radius: 16px;
  padding: 15px 32px 40px 32px;
}

.greeting p {
  font-size: 18px;
  letter-spacing: 0.76px;
  line-height: 32px;
}
@media(max-width:599px) {
  .greeting p{
    font-size: 16px;
  }
}
/*略歴*/
.cv h3 {
  font-size: 32px;
  font-weight: 900;
  letter-spacing: 1.34px;
  margin-top: 40px;
  margin-bottom: 14px;
}

.cv dl {
  display: flex;
}

@media(max-width:599px) {
  .cv dl {
    flex-direction: column;
  }
}

.cv dt {
  padding: 18px 0px;
  width: 260px;
  border-bottom: #CCCCCC 1px solid;
  font-family: 'Montserrat', sans-serif;
  font-weight: 600;
  font-size: 15px;
  letter-spacing: 0.63px;
  color: #E24C30;
}

@media(max-width:599px) {
  .cv dt {
    padding-bottom: 0px;
    border-bottom: none;
  }
}

.cv dd {
  padding: 18px 0px;
  border-bottom: #ccc 1px solid;
  flex: 1;
  font-size: 15px;
  letter-spacing: 0.63px;
}

/*スケジュール*/
#schedule {
  background-color: #fff;
  padding: 77px 0px;
}

.schedule-container {
  max-width: 1200px;
  margin: auto;
  background-color: #F7F7F7;
  border-radius: 16px;
  padding: 71px 5% 48px 5%;
}

.schedule-group {
  margin: auto;
  max-width: 1000px;
  background-color: #fff;
  border-radius: 8px;
  margin-top: 40px;
  padding: 40px 30px;
  display: flex;
  gap: 48px;
}

@media(max-width:599px) {
  .schedule-group {
    flex-direction: column;
  }
}

/*カレンダー*/
.calendar h4 {
  font-family: 'Montserrat', sans-serif;
  font-weight: 700;
  font-size: 24px;
  border-bottom: #CCCCCC 1px solid;
  padding: 12px 0px;
  margin-bottom: 18px;
}

.calendar dl {
  display: flex;
  padding: 6px 0px;
}

.calendar dl dt {
  font-family: 'Montserrat', sans-serif;
  font-weight: 500;
  font-size: 15px;
  letter-spacing: 0.63px;
  width: 62px;
}

.calendar dl dd {
  font-family: 'Montserrat', sans-serif;
  font-weight: 500;
  font-size: 15px;
  letter-spacing: 0.63px;
}

/*料金*/
#price {
  background-color: #fff;
}

.price-container {
  margin: auto;
  width: min(83.4%, 1000px);
}

/*料金表*/
.price-chart {
  padding-top: 22px;
}

.price-chart dl {
  display: flex;
}

@media(max-width:599px) {
  .price-chart dl {
    flex-direction: column;
  }
}

.price-chart dt {
  padding: 18px 0px;
  width: 260px;
  border-bottom: #CCCCCC 1px solid;
  font-weight: 900;
  font-size: 15px;
  letter-spacing: 0.63px;
}

@media(max-width:599px) {
  .price-chart dt {
    padding-bottom: 0px;
    border-bottom: none;
  }
}

.price-chart dd {
  padding: 18px 0px;
  border-bottom: #ccc 1px solid;
  font-family: 'Montserrat', sans-serif;
  flex: 1;
  font-size: 15px;
  letter-spacing: 0.63px;
  line-height: 24px;
}

/*注釈*/
.price-container p {
  font-size: 16px;
  font-weight: 700;
  letter-spacing: 0.67;
  color: #E24C30;
  margin-top: 16px;
}

/*アクセス*/
#access {
  background-color: #fff;
  padding: 80px 0px 60px 0px;
}

.access-container {
  margin: auto;
  width: min(83.4%, 1000px);
}

.access-data {
  display: flex;
  gap: 40px;
  align-items: center;
  padding-top: 24px;
}

@media(max-width:599px) {
  .access-data {
    flex-direction: column;
  }
}

/*マップ*/
.map {
  width: 500px;
}

@media(max-width:599px) {
  .map {
    width: 100%;
  }
}

/*住所*/
.address h4 {
  font-size: 18px;
  font-weight: 900;
  letter-spacing: 0.76px;
}

.address p:first-of-type {
  padding: 16px 0px;
}

.address p {
  font-size: 14px;
  letter-spacing: 0.59px;
  line-height: 24px;
}

/*フッター*/
#footer {
  background-color: #ECECEC;
}

.footer-container {
  max-width: 1200px;
  margin: auto;
  padding: 56px 5% 24px 5%;
}

/*お問い合わせ*/
.title-contact {
  font-size: 40px;
  letter-spacing: 1.92px;
}

@media(max-width:599px) {
  .title-contact {
    font-size: 30px;
  }
}

.footer-container p:first-of-type {
  padding: 16px 0px 32px 0px;
  font-size: 16px;
  letter-spacing: 0.77px;
  line-height: 24px;
}
@media(max-width:599px) {
  .footer-container p:first-of-type {
  font-size: 14px;
}
}
.tel {
  display: flex;
}

.tel span {
  font-family: 'Montserrat', sans-serif;
  color: #E24C30;
  font-weight: 600;
  font-size: 16px;
  letter-spacing: 0.84px;
  line-height: 40px;
  padding-right: 16px;
}

.tel a {
  font-family: 'Montserrat', sans-serif;
  font-weight: 700;
  font-size: 28px;
  letter-spacing: 0.84px;
  line-height: 40px;

}

/*メールボタン*/
.mail {
  display: flex;
  gap: 14px;
  justify-content: center;
  align-items: center;
  width: 232px;
  height: 55px;
  border-radius: 26px;
  background-color: #E24C30;
  margin: 16px 0px 40px 0px;
  padding: 15.5px 20px;
  color: #fff;
  font-size: 16px;
  line-height: 24px;
}

.mail i {
  font-size: 28px;
}

/*フッターナビ*/
.footer-nav {
  display: flex;
  gap: 40px;
  padding: 16px 0px;
  border-top: #CCCCCC 1px solid;
  border-bottom: #CCCCCC 1px solid;
}

@media(max-width:599px) {
  .footer-nav {
    flex-direction: column;
    gap: 20px;
  }
}

.footer-nav li {
  font-size: 14px;
  line-height: 15px;
}

/*フッターロゴ・copyright*/
.footer-logo {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 24px;
}

@media(max-width:599px) {
  .footer-logo {
    flex-direction: column;
    gap: 15px;
  }
}